# Uses of Class
org.apache.cxf.common.xmlschema.SchemaCollection

Packages that use SchemaCollection
Package
Description
org.apache.cxf.common.jaxb
org.apache.cxf.common.xmlschema
org.apache.cxf.databinding
org.apache.cxf.service.model

- ## Uses of SchemaCollection in org.apache.cxf.common.jaxb

  Methods in org.apache.cxf.common.jaxb with parameters of type SchemaCollection
  Modifier and Type
  Method
  Description
  `static JAXBContextProxy`
  JAXBUtils.`createJAXBContextProxy(jakarta.xml.bind.JAXBContext ctx, SchemaCollection collection, String defaultNs)`
  Constructors in org.apache.cxf.common.jaxb with parameters of type SchemaCollection
  Modifier
  Constructor
  Description
  ``
  `SchemaCollectionContextProxy(jakarta.xml.bind.JAXBContext ctx, SchemaCollection c, String defaultNs)`

- ## Uses of SchemaCollection in org.apache.cxf.common.xmlschema

  Methods in org.apache.cxf.common.xmlschema with parameters of type SchemaCollection
  Modifier and Type
  Method
  Description
  `static org.apache.ws.commons.schema.XmlSchemaElement`
  XmlSchemaUtils.`findElementByRefName(SchemaCollection xmlSchemaCollection, QName name, String referencingURI)`
  This copes with an observed phenomenon in the schema built by the ReflectionServiceFactoryBean.
  `static List<org.apache.ws.commons.schema.XmlSchemaAnnotated>`
  XmlSchemaUtils.`getContentAttributes(org.apache.ws.commons.schema.XmlSchemaComplexType type, SchemaCollection collection)`

- ## Uses of SchemaCollection in org.apache.cxf.databinding

  Methods in org.apache.cxf.databinding with parameters of type SchemaCollection
  Modifier and Type
  Method
  Description
  `org.apache.ws.commons.schema.XmlSchema`
  AbstractDataBinding.`addSchemaDocument(ServiceInfo serviceInfo, SchemaCollection col, Document d, String systemId)`
  `org.apache.ws.commons.schema.XmlSchema`
  AbstractDataBinding.`addSchemaDocument(ServiceInfo serviceInfo, SchemaCollection col, Document d, String systemId, Collection<String> ids)`

- ## Uses of SchemaCollection in org.apache.cxf.service.model

  Methods in org.apache.cxf.service.model that return SchemaCollection
  Modifier and Type
  Method
  Description
  `SchemaCollection`
  ServiceSchemaInfo.`getSchemaCollection()`
  `SchemaCollection`
  ServiceInfo.`getXmlSchemaCollection()`
  Methods in org.apache.cxf.service.model with parameters of type SchemaCollection
  Modifier and Type
  Method
  Description
  `void`
  ServiceSchemaInfo.`setSchemaCollection(SchemaCollection schemaCollection)`
  `void`
  ServiceInfo.`setSchemas(SchemaCollection cachedXmlSchemaCollection, List<SchemaInfo> cachedSchemas)`